    body {
      overflow-x: hidden; 
    }

    #contact-buttons-bar {
      position: absolute;
      top: 350px;
      right: -100px;
      width: 50px;
      z-index: 8000;
      opacity: 0;
    }

    .contact-button-link {
      display: block;
      width: 50px;
      height: 50px;
      padding: 0;
      margin-bottom: 1px;
      text-align: center;
      line-height: 50px;
      font-size: 1.4rem;
      background: #8e8e93;
      color: #fff;
      position: relative;
      box-sizing: border-box;
      transition: all 0.3s ease;
    }

    .contact-button-link:hover,
    .contact-button-link:focus,
    .contact-button-link:active {
      color: #fff;
      padding-right: 20px;
      width: 70px;
    }

/* ====================================================== */
.contact-button-link:not(:first-child):hover,
.contact-button-link:not(:first-child):focus,
.contact-button-link:not(:first-child):active {
  margin-left: -20px;
}

.contact-button-link:not(:first-child) .slider {
  padding-left: 20px;
  z-index: -1;
  content: "";
  position: absolute;
  top: 0;
  left: 50px;
  width: 0px;
  height: 50px;
  background: #3b5998;
  border-radius: 3px;
  transition: all 0.5s 0.3s ease;
}

.contact-button-link:not(:first-child) .slider p,
.contact-button-link:not(:first-child) .slider a
 {
  font-family: arial;
  text-transform: uppercase;
  font-size: 0.85rem;
  font-weight: 900;
  color: #fff;
  text-align: left;
  line-height: 30px;
  opacity: 0;
  transition: all 0.6s ease;
}


.contact-button-link:not(:first-child):hover .slider {
  width: 160px;
  transition: all 0.5s ease;
  margin-left: -160px;
}
.contact-button-link:not(:first-child):hover .slider p,
.contact-button-link:not(:first-child):hover .slider a
 {
  opacity: 1;
  transition: all 1s 0.2s ease;
}

/* ====================================================== */

    .contact-button-link .slider {
      position: absolute;
      top: 0;
      left: 50px;
      padding: 10px 15px;
      /* background: #3b5998; */
      color: white;
      border-radius: 3px;
      opacity: 0;
      transform: translateX(-20px);
      pointer-events: none;
      transition: all 0.5s ease;
      white-space: nowrap;
      font-size: 0.85rem;
      font-weight: bold;
    }

    .contact-button-link:hover .slider {
      opacity: 1;
      transform: translateX(0);
      pointer-events: auto;
    }

    .cb-hidden {
      opacity: 0;
      pointer-events: none;
      visibility: hidden;
      transform: translateX(100%);
      transition: all 0.3s ease;
    }

    .contact-button-link.facebook,
    .contact-button-link.facebook .slider {
      background: #3b5998;
    }

    .contact-button-link.instagram,
    .contact-button-link.instagram .slider {
      background: #db5037ec;
    }

    .contact-button-link.youtube,
    .contact-button-link.youtube .slider {
      background: #f5210e;
    }

    .contact-button-link.wikipedia,
    .contact-button-link.wikipedia .slider {
      background: #1b1a1a;
    }

.show-hide-contact-bar,
.contact-button-link.show-hide-contact-bar:focus,
.contact-button-link.show-hide-contact-bar:active {
      background: transparent;
      color: #000;
      border: 0;
      outline: 0;
      padding: 0;
      width: 50px;
    }
.contact-button-link.show-hide-contact-bar:hover {
  color: #000;
  background: #ccc;
  padding: 0;
  width: 50px;
}
/* tunghai ============================== */

  .contact-button-link.tunghai,
  .contact-button-link.tunghai .slider {
    background: #800000;
  }


 .contact-button-link.tunghai .slider{
  padding-top: 15px;
  display: block;
  text-align: left;
  min-height: 240px;
  background: #800000;
}
.contact-button-link.tunghai:not(:first-child):hover .slider {
  width: 110px;
  transition: all 0.5s ease;
  margin-left: -142px;
}


.contact-button-link.tunghai:hover .slider p,
.contact-button-link.tunghai:focus .slider p,
.contact-button-link.tunghai:active .slider p
{
  color: #fff;
  line-height: 0px !important;
  padding-top: 10px;
  padding-bottom: 15px;
  margin-bottom: 0px;
} 

.contact-button-link.tunghai:hover .slider a,
.contact-button-link.tunghai:focus .slider a,
.contact-button-link.tunghai:active .slider a 
{
  display: block;
  width: 100%;
  color: #fff;
  text-decoration: none;
  padding: 5px 10px 5px 0px; 
  font-size: 0.85rem;
  line-height: 20px;
  white-space: nowrap;
  box-sizing: border-box;
}


.contact-button-link.tunghai:hover .slider a:hover,
.contact-button-link.tunghai:focus .slider a:hover,
.contact-button-link.tunghai:active .slider a:hover 
{
  color: #ffc812;
}


/* ============================== */
    .contact-button-link.show-hide-contact-bar:hover {
      background: #ccc;
    }
    .contact-button-link.show-hide-contact-bar {
      color: #000 !important;
    }


    @media (max-width: 575.98px) {
      #contact-buttons-bar {
        display: none;
      }
    }
  
  .hide {
    position: absolute !important;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0 0 0 0);
    white-space: nowrap;
    border: 0;
  }
